=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = incron

override_dh_auto_install:
	echo

override_dh_install:
	dh_install
	install -m 644 incron.conf.example $(CURDIR)/debian/$(PACKAGE)/etc/incron.conf
	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.allow
	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.deny

%:
	dh $@ --with systemd
