=== debian/watch ===
version=3
http://inotify.aiken.cz/download/incron/incron-([.0-9]*)\.tar\.gz
