## incron 0.5.12

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 PREFIX = /usr/local
 USERDATADIR = /var/spool/incron
 SYSDATADIR = /etc/incron.d
+INITDIR = /etc/init
 CFGDIR = /etc
 MANPATH = $(PREFIX)/share/man
 RELEASE = incron-`cat VERSION`
@@ -13,9 +14,12 @@
 CXX ?= g++
 INSTALL = install
 
-OPTIMIZE = -O2
+#OPTIMIZE = -O2 -pedantic -std=c++11
+OPTIMIZE = -O2 -pedantic -std=c++11
 DEBUG = -g0
-WARNINGS = -Wall
+#DEBUG = -g
+WARNINGS = -Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -ffor-scope
+#WARNINGS = -Wall -W 
 CXXAUX = -pipe
 
 CXXFLAGS ?= $(OPTIMIZE) $(DEBUG) $(CXXAUX)
@@ -52,6 +56,7 @@
 	$(INSTALL) -m 0755 incrond $(DESTDIR)$(PREFIX)/sbin/
 	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(USERDATADIR)
 	$(INSTALL) -m 0755 -o $(USER) -d $(DESTDIR)$(SYSDATADIR)
+	$(INSTALL) -m 0644 incron.conf $(DESTDIR)$(INITDIR)
 	$(INSTALL) -m 0644 incron.conf.example $(DESTDIR)$(DOCDIR)/
 
 install-man:	incrontab.1 incrontab.5 incrond.8 incron.conf.5
