=== debian/changelog ===
incron (0.5.12-4) unstable; urgency=medium

  * Add a fix to the patch which avoid a segfault while using $@ in command to
    execute
  * Add a patch which avoid unterminated forked processes (Closes: #981124)
  * Remove useless dependency on lsb-base
  * Update copyright file (new year)
  * Bump Standards-Version to 4.6.2

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 27 Jan 2023 23:08:49 +0000

incron (0.5.12-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.0
  * Switch debian/watch version to 4
  * Add a patch to fix FTBFS with gcc 11 (Closes: #1021850)
  * Add a patch to fix a segfault while using $@ in command to execute
    (Closes: #947425)

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 18 Oct 2022 16:38:29 +0000

incron (0.5.12-2) unstable; urgency=medium

  [Emmanuel Bouthenot]
  * Bump Standards-Version to 4.4.1
  * Remove useless debian/compat file in favor of debhelper-compat
    dependency
  * Set Rules-Requires-Root to no
  * Remove Michael Prokop from Uploaders (according to his wish)

  [ Michael Prokop ]
  * Add a patch to fix cleanup of zombie processes (Closes: #930526)

 -- Emmanuel Bouthenot <kolter@debian.org>  Mon, 02 Dec 2019 21:41:56 +0000

incron (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #860199)
    - Fix bug 'incron silently discards command output' (Closes: 419518)
    - Fix bug 'incron logs command to execute but command is not
      executed' (Closes: #584134)
    - Fix bug 'allow whitespace delimiters in incrontab files'
      (Closes: #456821)
    - Fix bug 'ignore dotfiles in /etc/incron.d' (Closes: #606770)
    - Fix bug 'avoids shadowing a variable and also enables more warnings
      when compiling' (Closes: #503973)
  * Remove all patches (merged upstream)
  * Upstream development has moved to github:
    - Update watch file accordingly
    - Update homepage in control file
  * New upstream developer: update copyright file accordingly
  * Bump Standards-Version to 4.3.0
  * Switch debhelper compatibility to 12
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Change priority from extra to optional
  * Fix debian/copyright Format URI to use https
  * Add debian/upstream/metadata
  * Add a patch to fix manpages typos

 -- Emmanuel Bouthenot <kolter@debian.org>  Tue, 19 Feb 2019 02:44:46 +0000
