=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: incron
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Emmanuel Bouthenot <kolter@debian.org>
-Uploaders: Michael Prokop <mika@grml.org>
+Priority: optional
+Maintainer: Emmanuel Bouthenot <kolter@debian.org>
 Build-Depends:
-    debhelper (>= 9),
-    dh-systemd (>= 1.5)
-Standards-Version: 3.9.5
-Homepage: http://inotify.aiken.cz/
-Vcs-Git: git://anonscm.debian.org/users/kolter/incron.git
-Vcs-Browser: http://anonscm.debian.org/git/users/kolter/incron.git
+    debhelper (>= 13),
+    debhelper-compat (= 13)
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
+Homepage: https://github.com/ar-/incron
+Vcs-Git: https://salsa.debian.org/kolter/incron.git
+Vcs-Browser: https://salsa.debian.org/kolter/incron
 
 Package: incron
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
 Description: cron-like daemon which handles filesystem events
  incron is an "inotify cron" system. It works like the regular cron but is
  driven by filesystem events instead of time events. This package provides two
