=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 PACKAGE = incron
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 override_dh_auto_install:
 	echo
@@ -12,4 +14,4 @@
 	touch $(CURDIR)/debian/$(PACKAGE)/etc/incron.deny
 
 %:
-	dh $@ --with systemd
+	dh $@
