=== debian/watch ===
version=4
https://github.com/ar-/incron/tags .*/(\d[\d\.]+)\.tar\.gz
